.sheet.koboldworks {
	&.infosheet {
		--faint-border: hsl(30deg 3% 68%);
		min-width: 420px;
		min-height: 180px;

		form {
			display: flex;
			flex-flow: column nowrap;
			gap: 0.15rem;
			height: 100%;

			> .contents {
				display: grid;
				grid-template-columns: 2fr 3fr;
				grid-auto-rows: min-content;
				gap: 0.3rem;

				overflow: hidden scroll;

				flex: 1;
			}

			.label {
				font-weight: bold;
			}

			.value {
			}

			.label,
			.value {
				align-items: center;
				align-self: center;
			}

			header {
				grid-column: 1 / -1;

				display: flex;
				flex-flow: row nowrap;
				gap: 0.3rem;

				.image {
					width: 64px;
					height: 64px;
					flex: 0 64px;
					border: none; // Undo Foundry styling
				}

				.identity {
					display: flex;
					flex-flow: column nowrap;
					flex: 1;

					.name {
						margin: 0 0 2px 0;
						user-select: text;
					}
				}

				.controls {
					display: flex;
					flex-flow: column wrap;
					gap: 0.3rem;
				}
			}

			footer {
				grid-column: 1 / -1;
				margin: 0.2rem 0 0 0;
				border-top: 1px solid var(--color-underline-header);
			}

			header .identity .details,
			footer .details {
				margin: 0;
				padding: 0;
				list-style: none;

				display: flex;
				flex-flow: row wrap;
				gap: 0 0.5rem;

				align-items: center;

				label {
					font-weight: bold;
				}

				li {
					display: flex;
					flex-flow: row nowrap;
					align-items: center;
					gap: 0.2rem;
					white-space: nowrap;
				}
			}

			:is(.tag-list, .container .item-list, .actions .action-list, .container .category-list, .change-list) {
				list-style: none;
				margin: 0;
				padding: 0;
			}

			:is(.actions, .changes, .class-skills, .container, .flags, .spell-details, .system-flags, .script-calls, .description) {
				grid-column: 1 / -1;
				display: flex;
				flex-flow: column nowrap;

				h4 {
					font-weight: bold;
					font-size: var(--font-size-14);
					margin: 0;
				}
			}

			.changes {
				.undefined {
					color: darkred;
				}
			}

			hr {
				grid-column: 1 / -1;
			}

			:is(.physical-details, .armor-details) {
				grid-column: 1 / -1;
				display: grid;
				grid-template-columns: 2fr 3fr;
				gap: 0 0.3rem;
			}

			.qualities {
				grid-column: 1 / -1;
				display: flex;
				flex-flow: row wrap;
				gap: 0.5rem;

				.quality {
					white-space: nowrap;
					flex: 0;
				}
			}

			.description {
				.content {
					min-height: 1rem;

					padding: 0 0.3rem;

					border: 1px solid var(--faint-border);
					border-radius: 5px;
					background: hsl(0deg 0% 0% / 5%);

					// Allow selecting text
					* {
						user-select: text;
					}

					ul {
						display: flex;
						flex-flow: column nowrap;
						gap: 3px;

						> li {
							line-height: 1;
							> p:only-child {
								padding: 0;
								margin: 0;
							}
						}
					}
				}
			}

			.change-list {
				display: grid;
				grid-template-columns: 1em 3fr min-content minmax(4em, min-content);
				//display: flex;
				//flex-flow: column nowrap;
				gap: 2px;

				//max-height: 8em;
				overflow: auto;

				align-items: center;

				.change {
					display: contents;
					line-height: 1.5;

					.operator {
						text-align: center;
					}
					.formula {
						cursor: default;
					}
					.type {
						cursor: default;
						white-space: nowrap;
						font-size: var(--font-size-11);

						&::before {
							content: '(';
						}
						&::after {
							content: ')';
						}
					}
					.target {
						white-space: nowrap;
					}
				}
			}

			:is(.tag-list, .class-skills .skill-list) {
				display: flex;
				flex-flow: row wrap;
				align-items: center;

				gap: 2px;
			}

			.subtypes .subtype-list {
				display: inline-flex;
			}

			:is(.class-skills .skill-list, .system-flags .dictionary, .system-flags .boolean, .script-calls .scripts, .flags .checkbox) {
				margin-left: 0.5rem;
			}

			.script-calls {
				.script.tag {
					.value {
						display: flex;
						flex-flow: row nowrap;
						gap: 3px;

						img {
							border: none;
						}
					}

					&.invalid {
						background-color: rgba(255, 0, 0, 0.2);
					}
				}
			}

			.tag-list .tag {
				border: 1px solid var(--faint-border);
				border-radius: 5px;
				background-color: hsl(0deg 0% 0% / 5%);
				font-size: var(--font-size-12);
				padding: 0 0.15rem;
			}

			.system-flags .dictionary .flag {
				display: inline-flex;

				.label,
				.value {
					border: 1px solid var(--faint-border);
					font-size: var(--font-size-12);
					padding: 0 0.15rem;
				}
				.label {
					background-color: hsl(0deg 0% 0% / 5%);
					border-radius: 5px 0 0 5px;
					font-weight: normal;
				}
				.value {
					background-color: hsla(0, 0%, 100%, 0.2);
					border-radius: 0 5px 5px 0;
				}
			}

			.actions {
				border-bottom: 2px solid hsl(25deg 60% 50% / 25%);

				> nav {
					display: flex;
					flex-flow: row wrap;
					gap: 0.3em;

					border-bottom: 2px solid hsl(25deg 60% 50% / 25%);

					> a {
						font-size: var(--font-size-18);
						border-style: solid;
						border-width: 1px 1px 0 1px;
						border-color: hsl(25deg 60% 50% / 15%);
						border-radius: 0.5em 0.5em 0 0;
						padding: 0 0.2em;

						&.default {
							border-color: hsl(25deg 60% 50% / 50%);
						}

						color: var(--color-text-dark-secondary);
						background-color: rgba(0, 0, 0, 0.05);
						&.active {
							background-color: rgba(0, 0, 0, 0.12);
							color: var(--color-text-dark-primary);
						}
					}

					> h3 {
						margin: 0;
						margin-top: 1px; // Adjust for the border of nav elements
						padding: 0;
						border: none;
					}
				}

				.action-list {
					background-color: rgba(0, 0, 0, 0.03);
				}
			}

			.checkbox {
				height: unset;
				line-height: unset;
				font-size: unset;

				display: inline-flex;
				flex-flow: row;
				align-items: center;
				gap: 0.2em;

				.label {
					font-weight: normal;
				}
			}

			.item-value .current {
				white-space: nowrap;
			}

			// TODO: Add singular descriptive selector for these
			:is(
					.armor-class .base,
					.armor-check-penalty .base,
					.skills-per-level .total,
					.bab-progression .total,
					.weight .contents,
					.material .gold-value,
					.save.value .total,
					.health .average
				) {
				color: hsl(25deg 9% 48%);

				&::before {
					content: '(';
				}
				&::after {
					content: ')';
				}
			}

			.container {
				:is(.item-list, .category-list) {
					display: flex;
					flex-flow: column nowrap;
					gap: 1px;
				}

				.category-list {
					margin: 0 0.3rem;
				}

				.item-list {
					.item {
						display: flex;
						flex-flow: row nowrap;
						gap: 0.3rem;

						&:nth-child(odd) {
							background-color: hsl(38deg 4% 34% / 10%);
						}

						&:hover {
							background-color: hsl(38deg 4% 34% / 20%);
						}

						align-items: center;

						.image {
							flex: 0 24px;
							width: 24px;
							height: 24px;
						}

						.name {
							flex: 1;
							overflow: hidden;
							text-overflow: ellipsis;
							user-select: text;
						}

						:is(.weight, .value) {
							flex: 0 3.5rem;
							padding: 0 0.2rem;
							white-space: nowrap;
							text-align: right;
						}
					}
				}
			}

			.spell-details {
				.learned-at-list {
					.learned-at {
						white-space: nowrap;
						&::after {
							content: ', ';
						}
						&:last-of-type {
							&::after {
								content: '';
							}
						}
					}
				}

				/*
			.casting,
			.mechanics {
				display: grid;
				grid-template-columns: 2fr 3fr;
				gap: 2px 0.5rem;
			}
			*/
			}

			.action-list {
				.value {
					&.critical {
						display: inline-flex;
						.critical-multiplier::before {
							content: '×';
						}
					}
				}

				.action {
				}
			}

			.detail {
				font-size: var(--font-size-11);
				vertical-align: text-top;

				&::before {
					content: '(';
				}
				&::after {
					content: ')';
				}
			}

			:is(select, input) {
				&:disabled {
					cursor: initial;
				}
			}

			input:read-only {
				height: unset;

				&[type='checkbox'] {
					top: 2px;
					margin: 0;

					width: 12px;
					height: 12px;
				}
			}

			.action-list {
				.details {
					.range {
						.max {
							&::before {
								content: '(';
							}
							&::after {
								content: ')';
							}
						}
					}
				}
			}
		}
	}
}
